import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconBook as IconBookClass } from "../../../../components/icon/icons/book.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconBook = (props) => {
  IconBookClass.define();
  const JSXElement = getReactComponent("gds-icon-book");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconBook.displayName = "IconBook";
export {
  IconBook
};
